Bug 2280418 (CVE-2024-28285) - CVE-2024-28285 cryptopp: potential leak of secret key of ElGamal encryption via fault injection
Summary: CVE-2024-28285 cryptopp: potential leak of secret key of ElGamal encryption v...
Keywords:
Status: NEW
Alias: CVE-2024-28285
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2280419 2280420
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-05-14 23:05 UTC by Robb Gatica
Modified: 2024-05-14 23:05 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-05-14 23:05:42 UTC
A Fault Injection vulnerability in the SymmetricDecrypt function in cryptopp/elgamal.h of Cryptopp Crypto++ 8.9, allows an attacker to co-reside in the same system with a victim process to disclose information and escalate privileges.

https://gist.github.com/liang-junkai/3e91f58070812ea76c1b8c126c3e28c7
https://github.com/weidai11/cryptopp/issues/1262

Comment 1 Robb Gatica 2024-05-14 23:05:59 UTC
Created cryptopp tracking bugs for this issue:

Affects: epel-all [bug 2280419]
Affects: fedora-all [bug 2280420]


Note You need to log in before you can comment on or make changes to this bug.